Bug 98038 - Clicking on different slide transition causes visual errors (gtk2)
Summary: Clicking on different slide transition causes visual errors (gtk2)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: GTK2 Slide-Transitions
  Show dependency treegraph
 
Reported: 2016-02-20 22:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-05-15 12:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (759.18 KB, video/webm)
2016-02-27 18:31 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-20 22:48:46 UTC
Steps:
1) Open Impress
2) Switch to Slide Transition sidebar tab
3) Click 'Fade'
4) During the preview click 'Wedge' and notice the visual corruption of the preview

Regression as this doesnt happen in 5.0.4

Version: 5.2.0.0.alpha0+
Build ID: 72720ac9b934af6f84111ec694fa46555d10a7bd
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-17_19:06:34
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2016-02-26 19:42:06 UTC
No problem.. it just switches to wedge. Have to test on Linux..

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: ef02de2698d90fd874bddf3146165cbe85487bc5
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-19_23:40:50
Locale: fi-FI (fi_FI)
Comment 2 Yousuf Philips (jay) (retired) 2016-02-27 18:31:04 UTC
Created attachment 123044 [details]
screencast
Comment 3 Buovjaga 2016-02-27 21:33:31 UTC
Hmph.. now I get a SEH Exception: Access violation when clicking on fade. Someone seems to be playing with the slideshows again.

Will try on Linux tomorrow.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 85fcf15ff41ceb95f46dee586ff7187551be4955
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-27_09:23:38
Locale: fi-FI (fi_FI)
Comment 4 Michael Meeks 2016-02-29 12:34:59 UTC
Are you using gtk3 ? transitions are somewhat ... ropey using that backend do things improve with:

SAL_USE_VCLPLUGIN=gtk soffice # ?

Either way Tomaz is investigating in this area - (though mostly around the GL bits - I think there are some new flickerings that we want to get rid of that are independent of GL; and prolly 'idle' change related).
Comment 5 Yousuf Philips (jay) (retired) 2016-02-29 18:52:04 UTC
(In reply to Michael Meeks from comment #4)
> Are you using gtk3 ? transitions are somewhat ... ropey using that backend
> do things improve with:
> 
> SAL_USE_VCLPLUGIN=gtk soffice # ?

I'm using the daily builds which are gtk2. What is the command to tell it to run in gtk3 mode as i'd like to test it?

> Either way Tomaz is investigating in this area - (though mostly around the
> GL bits - I think there are some new flickerings that we want to get rid of
> that are independent of GL; and prolly 'idle' change related).

So i tested this on my OpenGL 1.4 Intel graphics card laptop on Windows and Linux and the issue didnt arise, which makes me believe that it may be limited to my OpenGL 3.0 Nouveau graphics card.

(In reply to Beluga from comment #3)
> Hmph.. now I get a SEH Exception: Access violation when clicking on fade.
> Someone seems to be playing with the slideshows again.

Yes i was testing the feb 24th build (2016-02-24_23.58.47) and it crashed LO by clicking Fade, though the 23rd build (2016-02-23_23.45.03) works fine. Did you report this bug beluga?
Comment 6 Buovjaga 2016-02-29 19:19:08 UTC
(In reply to Yousuf (Jay) Philips from comment #5)
> I'm using the daily builds which are gtk2. What is the command to tell it to
> run in gtk3 mode as i'd like to test it?
> 

SAL_USE_VCLPLUGIN=gtk3 soffice

> Yes i was testing the feb 24th build (2016-02-24_23.58.47) and it crashed LO
> by clicking Fade, though the 23rd build (2016-02-23_23.45.03) works fine.
> Did you report this bug beluga?

I will report it.. just tried with a fresh Linux build of my own and it crashed.
Comment 7 Buovjaga 2016-02-29 19:43:44 UTC
Crash reported as bug 98283
Comment 8 Yousuf Philips (jay) (retired) 2016-03-01 11:17:01 UTC
(In reply to Beluga from comment #6)
> SAL_USE_VCLPLUGIN=gtk3 soffice

Unfortunately didnt work.
Comment 9 Michael Meeks 2016-03-01 16:36:20 UTC
The valgrind trace is quite useful:

Noel/Daniel this looks like a shared_ptr re-work (or other lifecycle) tweak. Could you have a look ?

==6940== Invalid read of size 8
==6940==    at 0x52A5B20A: slideshow::internal::SlideChangeBase::prefetch(std::shared_ptr<slideshow::internal::AnimatableShape> const&, std::shared_ptr<slideshow::internal::ShapeAttributeLayer> const&) (slidechangebase.cxx:182)
==6940==    by 0x529E9865: (anonymous namespace)::SlideShowImpl::createSlideTransition(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Event> const&)::{lambda()#1}::operator()() const (slideshowimpl.cxx:861)
==6940==    by 0x529F3F41: std::_Function_handler<void (), (anonymous namespace)::SlideShowImpl::createSlideTransition(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Event> const&)::{lambda()#1}>::_M_invoke(std::_Any_data const&) (functional:1871)
==6940==    by 0x528B96A9: std::function<void ()>::operator()() const (functional:2267)
==6940==    by 0x528B95DF: slideshow::internal::Delay::fire() (delayevent.cxx:32)
==6940==    by 0x52923885: slideshow::internal::EventQueue::process_(bool) (eventqueue.cxx:222)
==6940==    by 0x52923377: slideshow::internal::EventQueue::process() (eventqueue.cxx:164)
==6940==    by 0x529EFDBF: (anonymous namespace)::SlideShowImpl::update(double&) (slideshowimpl.cxx:2000)
==6940==    by 0x31ACD151: sd::SlideshowImpl::updateSlideShow() (slideshowimpl.cxx:1765)
==6940==    by 0x31ACD0A7: sd::SlideshowImpl::updateHdl(Timer*) (slideshowimpl.cxx:1750)
==6940==    by 0x31ACD088: sd::SlideshowImpl::LinkStubupdateHdl(void*, Timer*) (slideshowimpl.cxx:1748)
==6940==    by 0xD408B28: Link<Timer*, void>::Call(Timer*) const (in /home/julien/compile-libreoffice/libreoffice/instdir/program/libvcllo.so)

==6940==  Address 0x4cc56910 is 144 bytes inside a block of size 208 free'd
==6940==    at 0x4C2B2CB: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6940==    by 0x52A69E82: slideshow::internal::(anonymous namespace)::ClippedSlideChange::~ClippedSlideChange() (slidetransitionfactory.cxx:279)
==6940==    by 0x52A621F3: std::_Sp_counted_ptr<slideshow::internal::SlideChangeBase*, (__gnu_cxx::_Lock_policy)2>::_M_dispose() (in /home/julien/compile-libreoffice/libreoffice/instdir/program/libslideshowlo.so)
==6940==    by 0x528548F9: std::_Sp_counted_base<(__gnu_cxx::_Lock_policy)2>::_M_release() (shared_ptr_base.h:150)
==6940==    by 0x52853FCA: std::__shared_count<(__gnu_cxx::_Lock_policy)2>::~__shared_count() (shared_ptr_base.h:659)
==6940==    by 0x528CCCF3: std::__shared_ptr<slideshow::internal::ViewEventHandler, (__gnu_cxx::_Lock_policy)2>::~__shared_ptr() (shared_ptr_base.h:925)
==6940==    by 0x528CCD0F: std::shared_ptr<slideshow::internal::ViewEventHandler>::~shared_ptr() (shared_ptr.h:93)
==6940==    by 0x52A5B202: slideshow::internal::SlideChangeBase::prefetch(std::shared_ptr<slideshow::internal::AnimatableShape> const&, std::shared_ptr<slideshow::internal::ShapeAttributeLayer> const&) (slidechangebase.cxx:179)
==6940==    by 0x529E9865: (anonymous namespace)::SlideShowImpl::createSlideTransition(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Event> const&)::{lambda()#1}::operator()() const (slideshowimpl.cxx:861)
==6940==    by 0x529F3F41: std::_Function_handler<void (), (anonymous namespace)::SlideShowImpl::createSlideTransition(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Event> const&)::{lambda()#1}>::_M_invoke(std::_Any_data const&) (functional:1871)
==6940==    by 0x528B96A9: std::function<void ()>::operator()() const (functional:2267)
==6940==    by 0x528B95DF: slideshow::internal::Delay::fire() (delayevent.cxx:32)
==6940==    by 0x52923885: slideshow::internal::EventQueue::process_(bool) (eventqueue.cxx:222)
==6940==    by 0x52923377: slideshow::internal::EventQueue::process() (eventqueue.cxx:164)
==6940==    by 0x529EFDBF: (anonymous namespace)::SlideShowImpl::update(double&) (slideshowimpl.cxx:2000)
==6940==    by 0x31ACD151: sd::SlideshowImpl::updateSlideShow() (slideshowimpl.cxx:1765)
==6940==    by 0x31ACD0A7: sd::SlideshowImpl::updateHdl(Timer*) (slideshowimpl.cxx:1750)
==6940==    by 0x31ACD088: sd::SlideshowImpl::LinkStubupdateHdl(void*, Timer*) (slideshowimpl.cxx:1748)
==6940==    by 0xD408B28: Link<Timer*, void>::Call(Timer*) const (in /home/julien/compile-libreoffice/libreoffice/instdir/program/libvcllo.so)

==6940==  Block was alloc'd at
==6940==    at 0x4C2A16F: operator new(unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==6940==    by 0x52A66A43: slideshow::internal::TransitionFactory::createSlideTransition(std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, slideshow::internal::UnoViewContainer const&, slideshow::internal::ScreenUpdater&, slideshow::internal::EventMultiplexer&, com::sun::star::uno::Reference<com::sun::star::presentation::XTransitionFactory> const&, short, short, bool, slideshow::internal::RGBColor const&, std::shared_ptr<slideshow::internal::SoundPlayer> const&) (slidetransitionfactory.cxx:989)
==6940==    by 0x529EA024: (anonymous namespace)::SlideShowImpl::createSlideTransition(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Slide> const&, std::shared_ptr<slideshow::internal::Event> const&) (slideshowimpl.cxx:830)
==6940==    by 0x529EBA14: (anonymous namespace)::SlideShowImpl::displaySlide(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPagesSupplier> const&, com::sun::star::uno::Reference<com::sun::star::animations::XAnimationNode> const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (slideshowimpl.cxx:1149)
==6940==    by 0x31AC56A0: sd::AnimationSlideController::displayCurrentSlide(com::sun::star::uno::Reference<com::sun::star::presentation::XSlideShow> const&, com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPagesSupplier> const&, bool) (slideshowimpl.cxx:475)
==6940==    by 0x31ACB367: sd::SlideshowImpl::displayCurrentSlide(bool) (slideshowimpl.cxx:1363)
==6940==    by 0x31ACCCDD: sd::SlideshowImpl::displaySlideIndex(int) (slideshowimpl.cxx:1658)
==6940==    by 0x31AC9794: sd::SlideshowImpl::startShowImpl(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (slideshowimpl.cxx:1115)
==6940==    by 0x31AC79FC: sd::SlideshowImpl::startPreview(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, com::sun::star::uno::Reference<com::sun::star::animations::XAnimationNode> const&, vcl::Window*) (slideshowimpl.cxx:828)
==6940==    by 0x31AC1B91: sd::SlideShow::StartInPlacePresentation() (slideshow.cxx:1099)
==6940==    by 0x31AC0A49: sd::SlideShow::startWithArguments(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) (slideshow.cxx:850)
==6940==    by 0x31AC0F0B: sd::SlideShow::startPreview(com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, com::sun::star::uno::Reference<com::sun::star::animations::XAnimationNode> const&, vcl::Window*) (slideshow.cxx:911)
==6940==    by 0x31ABE415: sd::SlideShow::StartPreview(sd::ViewShellBase&, com::sun::star::uno::Reference<com::sun::star::drawing::XDrawPage> const&, com::sun::star::uno::Reference<com::sun::star::animations::XAnimationNode> const&, vcl::Window*) (slideshow.cxx:192)
==6940==    by 0x318E60B1: sd::SlideTransitionPane::playCurrentEffect() (SlideTransitionPane.cxx:913)
==6940==    by 0x318E5FA4: sd::SlideTransitionPane::applyToSelectedPages(bool) (SlideTransitionPane.cxx:897)
==6940==    by 0x318E6770: sd::SlideTransitionPane::TransitionSelected(ValueSet*) (SlideTransitionPane.cxx:1023)
==6940==    by 0x318E671A: sd::SlideTransitionPane::LinkStubTransitionSelected(void*, ValueSet*) (SlideTransitionPane.cxx:1020)
==6940==    by 0xB192228: Link<ValueSet*, void>::Call(ValueSet*) const (in /home/julien/compile-libreoffice/libreoffice/instdir/program/libsvtlo.so)
Comment 10 Buovjaga 2016-03-11 19:39:15 UTC
No problem with today's build.

64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha0+
Build ID: 235411c9d47ecba88e46d859ea93bcecefb0c46e
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 11 Yousuf Philips (jay) (retired) 2016-03-12 01:16:14 UTC
Problem still here for me.

Version: 5.2.0.0.alpha0+
Build ID: 053103915717e41436b7a397d9cfa3ea0e3519cc
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-03-11_12:52:46
Locale: en-US (en_US.UTF-8)
Comment 12 tommy27 2018-01-17 10:02:23 UTC
@Jay
what about latest LibO 5.4.4 release?
Comment 13 Xisco Faulí 2018-01-17 13:17:28 UTC
(In reply to tommy27 from comment #12)
> @Jay
> what about latest LibO 5.4.4 release?

Setting to NEEDINFO
Comment 14 Yousuf Philips (jay) (retired) 2018-01-17 18:34:09 UTC
No longer have the nvidia card in my system, so no longer can test if this has been resolved.
Comment 15 Buovjaga 2018-01-22 14:32:12 UTC
I confirmed the behaviour shown in the screencast with Manjaro Linux 64-bit, NVidia GM108M (Geforce 940MX), non-free drivers, LibO 5.4.4.

It is only seen with gtk2. I tried with gtk3, but it was just more sluggish (compared to kde4, which worked fine).
Comment 16 QA Administrators 2019-01-23 03:48:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug